﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTreeGrid_FieldHeaderColoring
{
    public class SimpleDataSource
    {
        private List<FileNode> fileNodes;
        public List<FileNode> FileNodes
        {
            get
            {
                if (fileNodes == null) fileNodes = GetDataSource();
                return fileNodes;
            }
        }

        private List<FileNode> GetDataSource()
        {
            List<FileNode> list = new List<FileNode>();

            list.Add(new FileNode() { Name = "Boot", Size = null });

            FileNode docs = new FileNode() { Name = "Documents", Size = null };
            docs.SubNodes.Add(new FileNode() { Name = "Accounts.xlsx", Size = 6346 });
            docs.SubNodes.Add(new FileNode()
            {
                Name = "Bills.xlsx",
                Size = 98732,
                SubNodes = new List<FileNode>() { new FileNode() {Name = "Electricity", Size = 150 }, 
                                                  new FileNode() {Name = "Food", Size = 340} 
                                                }
            });
            docs.SubNodes.Add(new FileNode() { Name = "CV.docs", Size = 14453 });
            docs.SubNodes.Add(new FileNode() { Name = "Statistics.xlsx", Size = 25343 });
            list.Add(docs);

            FileNode users = new FileNode() { Name = "Users", Size = null };
            users.SubNodes.Add(new FileNode() { Name = "Admin", Size = 9403 });
            users.SubNodes.Add(new FileNode() { Name = "Default", Size = 4956 });
            users.SubNodes.Add(new FileNode() { Name = "John", Size = 36811 });
            list.Add(users);

            list.Add(new FileNode() { Name = "Windows", Size = null });

            return list;
        }
    }
}
